org.apache.lucene.facet

## Class TopOrdAndIntQueue

- java.lang.Object
- - org.apache.lucene.util.PriorityQueue<TopOrdAndIntQueue.OrdAndValue>
  - - org.apache.lucene.facet.TopOrdAndIntQueue

All Implemented Interfaces:
  Iterable<TopOrdAndIntQueue.OrdAndValue>

    public class TopOrdAndIntQueue
    extends PriorityQueue<TopOrdAndIntQueue.OrdAndValue>

Keeps highest results, first by largest int value, then tie break by smallest ord.

### Nested Class Summary

Nested Classes
`static class` `TopOrdAndIntQueue.OrdAndValue` Holds a single entry.

### Constructor Summary

Constructors
Constructor and Description
`TopOrdAndIntQueue(int topN)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `lessThan(TopOrdAndIntQueue.OrdAndValue a, TopOrdAndIntQueue.OrdAndValue b)`

### Methods inherited from class org.apache.lucene.util.PriorityQueue

`add, clear, getHeapArray, insertWithOverflow, iterator, pop, remove, size, top, updateTop, updateTop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### TopOrdAndIntQueue

    public TopOrdAndIntQueue(int topN)

Sole constructor.

### Method Detail

#### lessThan

    protected boolean lessThan(TopOrdAndIntQueue.OrdAndValue a,
                               TopOrdAndIntQueue.OrdAndValue b)

Specified by:
  `lessThan` in class `PriorityQueue<TopOrdAndIntQueue.OrdAndValue>`